---
updatedAt: 2026-06-02T10:37:04.000Z
agentTools:
  projectIndex: https://developers.transifex.com/llms.txt
---

# Get resource language stats collection

Get the statistics for a set of resources. You must specify at least a project
and optionally a language / resource to filter against.


# OpenAPI definition

````json
{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "description": "To use the API you need to authenticate your requests using Token Authentication. Specifically, you need to\n\n* Acquire an authentication token from the Transifex (under user settings)\n* Uses the `Bearer` keyword and  prepend the token when passing the header.\n\nFor example, if the authentication token is `1/0b4e75552e481aeae813aebad53f3de3fcc67ccd`, then the HTTP header should look like this:\n\n`Authorization: Bearer 1/0b4e75552e481aeae813aebad53f3de3fcc67ccd`\n\nTo create an API token:\n\n1. Head to your User Settings by going to the main navigation, and clicking on your profile image in the top right corner.\n\n2. In the left menu, click on API token.\n\n3. Click Generate a token.\n\nOnce you've generated a token, you can edit its name so it's easier to remember where you use the token.\n\nTo keep your API token secure, we'll only show it once, so please be sure to save it somewhere secure.\nIn case you lose your API token, you can regenerate a new one at any time. However, when you regenerate\na new token, you'll need to update your applications and replace the old token with the new one.\n",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "contact": {
      "email": "support@transifex.com",
      "name": "Transifex Support"
    },
    "description": "<br/>\n<br/>\n\n# Introduction\n\nThis API is based on **{json:api}**.\n\n{json:api} is a specification that follows shared conventions and standards. This specification enables API discoverability and partial\nself-descriptiveness through conventions. The Json Api specification exposes resources and their relationships representations with\nunique uris and all CRUD operations are performed on those endpoints. With it's simplified approach it assists the API uniformity.\n\nRead more: https://jsonapi.org/\n\nAdditionally, this API is defined using OpenAPI (ex Swagger). This means that you can easily:\n* Generate clients in your preferred: https://swagger.io/tools/swagger-codegen/\n* Download the specification file (see above) and use it in clients like Postman etc\n\n<br />\n<br />\n\n# Pagination\n\nAll list endpoints include pagination to guarantee performant responses. Those endpoints will return `next` and `previous` links in the\nresponse payload (`links` section). The client does not have to construct any pagination specific URLs or headers, just follow those\nlinks.\n\nPage size is fixed to 150 items per page.\n\n<br />\n<br />\n\n# Content Negotiation\n\nThe basic media type for the API is `application/vnd.api+json`. If you want to execute a request that includes data (`POST`, `PATCH`, `DELETE`)\nyou should include this media type in the `Content-Type` header. The only case where a different `Content-Type` header will be accepted is for\nendpoints that can accept file like objects where the media type used should be `multipart/form-data`.\n\nThe base media type this API responds is `application/vnd.api+json`. To retrieve the data in this media type you should include it in the `Accept`\nheader. The only case where the server will return another media type is for endpoint that return file like objects.\nIn this case the media type used should be `*/*` and the server will prioritize the negotiation to the media type dictated from the file.\nNote that `application/vnd.api+json` will be also available for accept header in these cases and will return a JSON serialized representation of the file.\n\nRead more here: https://jsonapi.org/format/#content-negotiation\n\n# File Uploads\n\nThere are three different methods for uploading file content to Transifex:\n* Using Content-Type `application/vnd.api+json` the content must\n    be JSON serializable.\n    - For content that is directly JSON serializable you can dump the content\n    of the file directly and set the `content_encoding` attribute  to `text`.\n    - For any content, even if it's not JSON serializable (eg .xlsx, .idml or .docx file extensions),\n    you can encode the file using the `base64` encoding and set the `content_encoding` attribute to `base64`.\n* Using Content-Type `multipart/form-data` the content can be any raw file, and can\n    be send without further processing.\n\n# Asynchronous Processing\n\nAsynchronous operations are triggered via a POST request. The response status in such cases is 202 Accepted, with a link in the Content-Location header.\nTo check the status of the operation, a client can send a request to the location given earlier.\nAn optional `callback_url` can be provided when the asynchronous operation is triggered. If such url is provided, upon completion\na HTTP POST request is executed containing all information required to identify the specific operation:\n\nExample request:\n```\nPOST callback_url HTTP/1.1\nContent-Type: application/json\n\n{\n  \"data\": {\n    \"type\": resource_strings_async_downloads\",\n    \"id\": \"xxxxxxxxx\",\n    \"attributes\": {\n      \"location\": \"https://rest.api.transifex.com/resource_strings_async_downloads/xxxxxxxxx\",\n      \"status\": \"succeeded\"\n    }\n  }\n}\n```\n\n# Restrictions\n\nThe following Plan based restrictions apply:\n* [Activity Reports](#tag/Activity-Reports) are available to Premium and up\n* [XLIFF export](#tag/Resource-Translations/paths/~1resource_translations_async_downloads/post) is available to Premium and up.\n* [Screenshots](#tag/Context-Screenshots) are available to Premium and up\n\n# Rate Limit\n\nTo maintain optimal performance and availability of the API, we limit the request rate to 500\nrequests/min or 30,000 requests / 5 minutes / IP. Polling endpoints like\n`resource_translations_async_downloads/{resource_translations_async_download_id}` and\n`resource_strings_async_downloads/{resource_strings_async_download_id}` have a rate limit of 1,200 requests/min.\nOnce past the respective limit, requests will be throttled and you will get a 429 Throttled response.\n\n\nExample response:\n```\n{\n  \"errors\": [\n    {\n      \"code\": \"Throttled\",\n      \"detail\": \"Request was throttled. Expected available in 60 seconds.\",\n      \"status\": \"429\",\n      \"title\": \"Throttled\"\n    }\n  ]\n}\n```\n\n# Authentication\n<!-- ReDoc-Inject: <security-definitions> -->\n",
    "title": "Transifex API",
    "version": "3.0",
    "x-logo": {
      "altText": "Transifex logo",
      "backgroundColor": "#FFFFFF",
      "url": "transifex-blue-logo.svg"
    }
  },
  "openapi": "3.0.1",
  "paths": {
    "/resource_language_stats": {
      "get": {
        "description": "Get the statistics for a set of resources. You must specify at least a project\nand optionally a language / resource to filter against.\n",
        "parameters": [
          {
            "description": "Filter results by a project",
            "in": "query",
            "name": "filter[project]",
            "required": true,
            "schema": {
              "description": "Project identifier.",
              "example": "o:organization_slug:p:project_slug",
              "pattern": "^o:[a-zA-Z0-9._-]+:p:[a-zA-Z0-9_-]+$",
              "type": "string"
            }
          },
          {
            "description": "Filter results by a resource",
            "in": "query",
            "name": "filter[resource]",
            "required": false,
            "schema": {
              "description": "Resource identifier.",
              "example": "o:organization_slug:p:project_slug:r:resource_slug",
              "pattern": "^o:[a-zA-Z0-9._-]+:p:[a-zA-Z0-9_-]+:r:[a-zA-Z0-9_-]+$",
              "type": "string"
            }
          },
          {
            "description": "Filter results by a language",
            "in": "query",
            "name": "filter[language]",
            "required": false,
            "schema": {
              "description": "Language identifier.",
              "example": "l:en_US",
              "pattern": "^l:[a-zA-Z0-9@_.-]+$",
              "type": "string"
            }
          },
          {
            "description": "The cursor used for pagination. The value of the cursor must be retrieved from pagination links included in previous responses; you should not attempt to write them on your own.\n",
            "in": "query",
            "name": "page[cursor]",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "properties": {
                    "data": {
                      "items": {
                        "allOf": [
                          {
                            "description": "ResourceLanguageStats data container",
                            "properties": {
                              "id": {
                                "description": "Resource language stats identifier",
                                "example": "o:organization_slug:p:project_slug:r:resource_slug:l:language_slug",
                                "pattern": "^o:[a-zA-Z0-9._-]+:p:[a-zA-Z0-9_-]+:r:[a-zA-Z0-9_-]+:l:[a-zA-Z0-9@_-]+$",
                                "type": "string"
                              },
                              "type": {
                                "enum": [
                                  "resource_language_stats"
                                ],
                                "type": "string"
                              }
                            },
                            "required": [
                              "type",
                              "id"
                            ],
                            "type": "object"
                          },
                          {
                            "properties": {
                              "attributes": {
                                "allOf": [
                                  {
                                    "additionalProperties": false,
                                    "properties": {
                                      "last_proofread_update": {
                                        "example": "XXXX-XX-XXTXX:XX:XXZ",
                                        "format": "date-time",
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "last_review_update": {
                                        "example": "XXXX-XX-XXTXX:XX:XXZ",
                                        "format": "date-time",
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "last_translation_update": {
                                        "example": "XXXX-XX-XXTXX:XX:XXZ",
                                        "format": "date-time",
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "last_update": {
                                        "example": "XXXX-XX-XXTXX:XX:XXZ",
                                        "format": "date-time",
                                        "type": "string"
                                      },
                                      "proofread_strings": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "proofread_words": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "reviewed_strings": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "reviewed_words": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "total_strings": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "total_words": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "translated_strings": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "translated_words": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "untranslated_strings": {
                                        "example": 10,
                                        "type": "number"
                                      },
                                      "untranslated_words": {
                                        "example": 10,
                                        "type": "number"
                                      }
                                    },
                                    "required": [
                                      "untranslated_words",
                                      "translated_words",
                                      "reviewed_words",
                                      "proofread_words",
                                      "total_words",
                                      "untranslated_strings",
                                      "translated_strings",
                                      "reviewed_strings",
                                      "proofread_strings",
                                      "total_strings",
                                      "last_update",
                                      "last_translation_update",
                                      "last_review_update",
                                      "last_proofread_update"
                                    ],
                                    "type": "object"
                                  }
                                ]
                              },
                              "links": {
                                "additionalProperties": false,
                                "properties": {
                                  "self": {
                                    "example": "/resource_stats/o:organization_slug:p:project_slug:r:resource_slug:l:language_code",
                                    "type": "string"
                                  }
                                },
                                "required": [
                                  "self"
                                ],
                                "type": "object"
                              },
                              "relationships": {
                                "additionalProperties": false,
                                "properties": {
                                  "language": {
                                    "additionalProperties": false,
                                    "properties": {
                                      "data": {
                                        "allOf": [
                                          {
                                            "additionalProperties": false,
                                            "description": "Language data container.",
                                            "properties": {
                                              "id": {
                                                "description": "Language identifier.",
                                                "example": "l:en_US",
                                                "pattern": "^l:[a-zA-Z0-9@_.-]+$",
                                                "type": "string"
                                              },
                                              "type": {
                                                "enum": [
                                                  "languages"
                                                ],
                                                "type": "string"
                                              }
                                            },
                                            "required": [
                                              "type",
                                              "id"
                                            ],
                                            "type": "object"
                                          }
                                        ]
                                      },
                                      "links": {
                                        "allOf": [
                                          {
                                            "additionalProperties": false,
                                            "description": "Language related link.",
                                            "properties": {
                                              "related": {
                                                "description": "Language details link.",
                                                "example": "/languages/l:en_US",
                                                "type": "string"
                                              }
                                            },
                                            "required": [
                                              "related"
                                            ],
                                            "type": "object"
                                          }
                                        ]
                                      }
                                    },
                                    "type": "object"
                                  },
                                  "resource": {
                                    "additionalProperties": false,
                                    "properties": {
                                      "data": {
                                        "allOf": [
                                          {
                                            "additionalProperties": false,
                                            "description": "Resource data container.",
                                            "properties": {
                                              "id": {
                                                "description": "Resource identifier.",
                                                "example": "o:organization_slug:p:project_slug:r:resource_slug",
                                                "pattern": "^o:[a-zA-Z0-9._-]+:p:[a-zA-Z0-9_-]+:r:[a-zA-Z0-9_-]+$",
                                                "type": "string"
                                              },
                                              "type": {
                                                "enum": [
                                                  "resources"
                                                ],
                                                "type": "string"
                                              }
                                            },
                                            "required": [
                                              "type",
                                              "id"
                                            ],
                                            "type": "object"
                                          }
                                        ]
                                      },
                                      "links": {
                                        "allOf": [
                                          {
                                            "additionalProperties": false,
                                            "description": "Resource related link.",
                                            "properties": {
                                              "related": {
                                                "description": "Resource details link.",
                                                "example": "/resources/o:organization_slug:p:project_slug:r:resource_slug",
                                                "type": "string"
                                              }
                                            },
                                            "required": [
                                              "related"
                                            ],
                                            "type": "object"
                                          }
                                        ]
                                      }
                                    },
                                    "type": "object"
                                  }
                                },
                                "required": [
                                  "resource",
                                  "language"
                                ],
                                "type": "object"
                              }
                            },
                            "type": "object"
                          }
                        ]
                      },
                      "type": "array"
                    },
                    "links": {
                      "properties": {
                        "last": {
                          "example": "/resource_language_stats/o:organization_slug:p:project_slug:r:resource_slug:l:language_code&page[cursor]=XXX",
                          "type": "string"
                        },
                        "next": {
                          "example": "/resource_language_stats/o:organization_slug:p:project_slug:r:resource_slug:l:language_code&page[cursor]=XXX",
                          "type": "string"
                        },
                        "self": {
                          "example": "/resource_language_stats/o:organization_slug:p:project_slug:r:resource_slug:l:language_code",
                          "type": "string"
                        }
                      },
                      "type": "object"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "additionalProperties": false,
                  "properties": {
                    "errors": {
                      "items": {
                        "additionalProperties": false,
                        "properties": {
                          "code": {
                            "example": "invalid",
                            "type": "string"
                          },
                          "detail": {
                            "example": "Enter a valid `name` consisting of Unicode letters, numbers, underscores, or hyphens",
                            "type": "string"
                          },
                          "source": {
                            "anyOf": [
                              {
                                "properties": {
                                  "pointer": {
                                    "example": "/data/attributes/name",
                                    "type": "string"
                                  }
                                }
                              },
                              {
                                "properties": {
                                  "parameter": {
                                    "example": "?filter[foo]",
                                    "type": "string"
                                  }
                                }
                              }
                            ]
                          },
                          "status": {
                            "example": "400",
                            "type": "string"
                          },
                          "title": {
                            "example": "Field `name` is invalid",
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Invalid"
          },
          "401": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "additionalProperties": false,
                  "properties": {
                    "errors": {
                      "items": {
                        "additionalProperties": false,
                        "properties": {
                          "code": {
                            "example": "unauthorized",
                            "type": "string"
                          },
                          "detail": {
                            "example": "Please verify your credentials",
                            "type": "string"
                          },
                          "status": {
                            "example": "401",
                            "type": "string"
                          },
                          "title": {
                            "example": "Unauthorized",
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Unauthorized"
          },
          "404": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "additionalProperties": false,
                  "properties": {
                    "errors": {
                      "items": {
                        "properties": {
                          "code": {
                            "example": "not found",
                            "type": "string"
                          },
                          "detail": {
                            "example": "Object not found. It may have been deleted or not been created yet",
                            "type": "string"
                          },
                          "status": {
                            "example": "404",
                            "type": "string"
                          },
                          "title": {
                            "example": "Object not found",
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Not found"
          },
          "409": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "additionalProperties": false,
                  "properties": {
                    "errors": {
                      "items": {
                        "additionalProperties": false,
                        "properties": {
                          "code": {
                            "example": "conflict",
                            "type": "string"
                          },
                          "detail": {
                            "example": "Value `some_field_value` already exists",
                            "type": "string"
                          },
                          "source": {
                            "additionalProperties": false,
                            "properties": {
                              "pointer": {
                                "example": "/data/attributes/some_field",
                                "type": "string"
                              }
                            },
                            "type": "object"
                          },
                          "status": {
                            "example": "409",
                            "type": "string"
                          },
                          "title": {
                            "example": "Field `some_field` conflicted",
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Conflict"
          },
          "500": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "additionalProperties": false,
                  "properties": {
                    "errors": {
                      "items": {
                        "additionalProperties": false,
                        "properties": {
                          "code": {
                            "example": "server error",
                            "type": "string"
                          },
                          "detail": {
                            "example": "Something went wrong, please try again",
                            "type": "string"
                          },
                          "status": {
                            "example": "500",
                            "type": "string"
                          },
                          "title": {
                            "example": "Something went wrong",
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Internal Error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "summary": "Get resource language stats collection",
        "tags": [
          "Statistics"
        ],
        "x-released": true
      },
      "summary": "Get resource language stats collection"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://rest.api.transifex.com"
    }
  ]
}
````